Skip to main content
PUT
PUT /api/bots/{botId}/memory

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

botId
string
required

Body

application/json
scope
enum<string>
required
Available options:
bot,
user,
project
content
string
required
Maximum string length: 200000
scopeKey
string
default:""
Maximum string length: 120

Response

Success

id
string<uuid>
required
botId
string<uuid>
required
scope
enum<string>
required
Available options:
bot,
user,
project
scopeKey
string
required
Maximum string length: 120
content
string
required
Maximum string length: 200000
version
integer
required
Required range: x <= 9007199254740991
createdAt
string<date-time>
required
updatedAt
string<date-time>
required